org.hibernate.search.query.dsl

## Interface FacetParameterContext

- All Superinterfaces:
    FacetTermination
  All Known Subinterfaces:
    DiscreteFacetContext, FacetRangeAboveContext<T>, FacetRangeBelowContinuationContext<T>, FacetRangeEndContext<T>
  All Known Implementing Classes:
    ConnectedDiscreteFacetContext, ConnectedFacetParameterContext, ConnectedFacetRangeAboveContext, ConnectedFacetRangeBelowContinuationContext, ConnectedFacetRangeEndContext

      public interface FacetParameterContext
      extends FacetTermination

  Author:
    Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetParameterContext` | `includeZeroCounts(boolean zeroCounts)`
    `FacetParameterContext` | `maxFacetCount(int maxFacetCount)` Limits the maximum numbers of facets to the specified number.
    `FacetParameterContext` | `orderedBy(FacetSortOrder sort)`

    - ### Methods inherited from interface org.hibernate.search.query.dsl.FacetTermination

      `createFacetingRequest`

- - ### Method Detail

    - #### orderedBy

          FacetParameterContext orderedBy(FacetSortOrder sort)

      Parameters:
        `sort` - the sort order for the returned facets.
      Returns:
        a `FacetParameterContext` to continue building the facet request

    - #### includeZeroCounts

          FacetParameterContext includeZeroCounts(boolean zeroCounts)

      Parameters:
        `zeroCounts` - Determines whether values with zero counts are included into the facet result
      Returns:
        a `FacetParameterContext` to continue building the facet request

    - #### maxFacetCount

          FacetParameterContext maxFacetCount(int maxFacetCount)

      Limits the maximum numbers of facets to the specified number.
      Parameters:
        `maxFacetCount` - the maximum number of facets to include in the response. A negative value means that all facets will be included
      Returns:
        a `FacetParameterContext` to continue building the facet request

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved